<?php

//Clase: Orden de Servicio
class clase
{
	var $nom_tabla = 'dacatprom';
	var  $id_catprom = '0';
	var  $nom = '0';
	var  $ape_pat = '0';
	var  $ape_mat = '0';
	var  $rfc = '0';
	var  $dom = '0';
	var  $id_paises = '0';
	var  $id_estado = '0';
	var  $id_delmun = '0';
	var  $col = '0';
	var  $cod_pos = '0';
	var  $tel = '0';
	var  $otr_tel = '0';
	var  $e_mail = '0';
	var  $zona_ate = '0';
	var  $dom_des = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	
//Funcion de Revision
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla WHERE id_catprom = '$this->id_catprom'";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	@$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";	
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "INSERT INTO $this->nom_tabla (id_catprom, nom, ape_pat, ape_mat, rfc, dom, id_paises, id_estado, id_delmun, col, cod_pos, tel, otr_tel, e_mail, zon_ate, dom_des, acc_fec, acc_hor, usuario)values('$this->id_catprom', '$this->nom', '$this->ape_pat', '$this->ape_mat', '$this->rfc', '$this->dom', '$this->id_paises', '$this->id_estado', '$this->id_del_mun', '$this->col', '$this->cod_pos', '$this->tel', '$this->otr_tel', '$this->e_mail', '$this->zon_ate', '$this->dom_des', CURDATE(),CURTIME(),$_SESSION['num_usu'])";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom-tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($id_catprom){
		$sql= "SELECT * FROM $this->nom_tabla WHERE id_catprom = '$id_catprom'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar($id_catprom){
		$sql = "UPDATE $this->nom_tabla SET   nom= '$this->nom', ape_pat= '$this->ape_pat', ape_mat= '$this->ape_mat',rfc= '$this->rfc', dom= '$this->dom', id_paises= '$this->id_paises', id_estado= '$this->id_estado', id_delmun= '$this->id_delmun', col= '$this->col', cod_pos= '$this->cod_pos', tel= '$this->tel', otr_tel= '$this->otr_tel',e_mail= '$this->e_mail', zon_ate= '$this->zon_ate', dom_des= '$this->dom_des', acc_fec=CURDATE(),acc_hor=CURTIME(),usuario=$_SESSION['num_usu'] WHERE id_catprom='$this->id_catprom'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($id_catprom){   
		$sql = "DELETE FROM $this->nom_tabla WHERE id_catprom = '$id_catprom'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>